Subject: Re: [JGIT PATCH] Create a debugging tool "jgit rebuild-commitgraph"

From: "Shawn O. Pearce" <[email-masked]>
Date: Fri, 13 Mar 2009 07:52:51 -0700

Johannes Schindelin <[email-masked]> wrote:
> On Fri, 13 Mar 2009, Shawn O. Pearce wrote:
> 
> > This is a command line tool which can be used to import only
> > the commit graph of another Git repository, to help debug a
> > topology related bug, without actually needing a clone of the
> > problematic repository.
> > 
> > Signed-off-by: Shawn O. Pearce <[email-masked]>
> > ---
> > 
> >  I used this yesterday to obtain a DAG from someone's private
> >  repository and recreate the same structure on my own system,
> >  to debug why RevWalk was busted in their case.
> 
> Heh:
> 
> http://repo.or.cz/w/git/dscho.git?a=blob;f=my-fake-history.sh;h=e108ce99a5ebd75230c3cfc56b88d9769fec8bc1;hb=master

Heh.  I knew both you and Nico have written something like this in
the past, but I couldn't find it.

Your script is almost what I needed.  But I also needed to force
GIT_COMMITTER_DATE to match the timestamp, as I suspected the commit
times had something to do with the problem I was seeing.

I also whack the entire ref space to match the source repository,
which mattered because I was trying to debug:

  git rev-list $insha1 --not --all

in JGit...

-- 
Shawn.